using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class GroupDeleteA : DataAccessBase
	{
		public GroupDeleteA()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[GroupDeleteA]");
			ConfigParameter();
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramGroupID;
		public System.Int32 GroupID
		{
			get
			{
				return (System.Int32)paramGroupID.Value;
			}
			set
			{
				paramGroupID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramGroupID = new SqlParameter();
			paramGroupID.ParameterName = "@GroupID";
			paramGroupID.SqlDbType = SqlDbType.Int;
			paramGroupID.Precision = 10;
			paramGroupID.Scale = 0;
			paramGroupID.Direction = ParameterDirection.Input;
			paramGroupID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramGroupID);
		}
	}
}